installing teradata bteq rpm on fedora 21 – missing pkg libstdc++.so.6

user292347 asked:

I’m trying to install Teradata’s bteq rpm on Fedora 12. I’m getting a failed dependency message here:

[foobar@localhost bteq]$ sudo rpm -Uhv bteq-14.00.00.18-1.i386.rpm
error: Failed dependencies:
    libstdc++.so.6 is needed by bteq-14.00.00.18-1.i386
[foobar@localhost bteq]$ sudo yum search libstdc++.so.6
Loaded plugins: langpacks
Warning: No matches found for: libstdc++.so.6
No matches found
[foobar@localhost bteq]$ sudo yum search libstdc++
Loaded plugins: langpacks
============================================ N/S matched: libstdc++ =============================================
compat-libstdc++-296.i686 : Compatibility 2.96-RH standard C++ libraries
compat-libstdc++-33.i686 : Compatibility standard C++ libraries
compat-libstdc++-33.x86_64 : Compatibility standard C++ libraries
libstdc++.i686 : GNU Standard C++ Library
libstdc++.x86_64 : GNU Standard C++ Library
libstdc++-devel.i686 : Header files and libraries for C++ development
libstdc++-devel.x86_64 : Header files and libraries for C++ development
libstdc++-docs.x86_64 : Documentation for the GNU standard C++ library
libstdc++-static.i686 : Static libraries for the GNU standard C++ library
libstdc++-static.x86_64 : Static libraries for the GNU standard C++ library

  Name and summary matches only, use "search all" for everything.

I can’t seem to find this package. Is it because I’m using yum?

My answer:


The library is certainly there, but you need the 32-bit version of it to install a 32-bit RPM that depends on it. This is failing due to a packaging error on the part of whoever packaged the RPM.

Try installing it yourself:

yum install libstdc++.i686

Since that is the correct library, if it still complains, then you should have a chat with the packager.


View the full question and answer on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.